> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Report a request



## OpenAPI

````yaml post /reporting/v2/request
openapi: 3.0.0
info:
  title: Pezzo API
  description: Specification of the Pezzo REST API, used by various clients.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /reporting/v2/request:
    post:
      tags:
        - Reporting
      summary: Report a request
      operationId: ReportingController_reportRequest
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReportDto'
      responses:
        '200':
          description: Report has been reported successfully
        '500':
          description: Internal server error
components:
  schemas:
    CreateReportDto:
      type: object
      properties:
        metadata:
          description: Metadata
          allOf:
            - $ref: '#/components/schemas/PromptExecutionMetadataDto'
        properties:
          type: object
          description: Additional properties to be associated with the report
          additionalProperties: true
          example:
            userId: someUserId
            traceId: traceId
        request:
          $ref: '#/components/schemas/ExecutionRequestDto'
        response:
          $ref: '#/components/schemas/ExecutionResponseDto'
        cacheEnabled:
          type: boolean
          description: Whether caching is enabled for the report
          default: false
        cacheHit:
          type: boolean
          description: Whether the report was generated from a cache hit or not
          default: false
      required:
        - metadata
        - request
        - response
    PromptExecutionMetadataDto:
      type: object
      properties:
        provider:
          type: string
          description: LLM provider
          enum:
            - OpenAI
            - Azure
            - Anthropic
        client:
          type: string
          description: Client name identifier
          example: pezzo-ts
        clientVersion:
          type: string
          description: Client version
          example: 0.4.11
        environment:
          type: string
          description: The name of the Environment (case sensitive)
          example: Production
        promptId:
          type: string
          description: The ID of the reported prompt (if managed)
          example: c41jd0s93j000ud7kg7vekhi3
      required:
        - provider
        - client
        - clientVersion
        - environment
    ExecutionRequestDto:
      type: object
      properties:
        timestamp:
          format: date-time
          type: string
          description: Request timestamp
          example: '2021-01-01T00:00:00.000Z'
        body:
          type: object
          description: Raw request body, as sent to the LLM
          additionalProperties: true
      required:
        - timestamp
        - body
    ExecutionResponseDto:
      type: object
      properties:
        timestamp:
          format: date-time
          type: string
          description: Response timestamp
          example: '2021-01-01T00:00:00.000Z'
        body:
          type: object
          description: Raw response body, as received from the LLM
          additionalProperties: true
      required:
        - timestamp
        - body

````